Bug 1494876 - RH-OSP 10, Overcloud Deploymeent Failed in step "AllNodesDeploySteps.CephStorageArtifactsDeploy.1"
Summary: RH-OSP 10, Overcloud Deploymeent Failed in step "AllNodesDeploySteps.CephSto...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 10.0 (Newton)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Angus Thomas
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-23 23:52 UTC by Abhishek K Singh
Modified: 2017-10-09 11:36 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-09 11:36:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
openstack stack failures list overcloud - output logs (19.28 KB, text/plain)
2017-09-23 23:52 UTC, Abhishek K Singh
no flags Details

Description Abhishek K Singh 2017-09-23 23:52:15 UTC
Created attachment 1330050 [details]
openstack stack failures list overcloud - output logs

Description of problem:

I am trying to deploy RH-OSP10, with 3 Controller , 3 Ceph , 16 Compute and integrated cisco ACI 3.0

However the Deployement it getting failed at steps,

017-09-23 22:03:27Z [AllNodesDeploySteps.CephStorageArtifactsDeploy.1]: SIGNAL_IN_PROGRESS  Signal: deployment 6ea30fb4-1b98-4f19-aea3-71c3fb0a94bb failed (1)
2017-09-23 22:03:28Z [AllNodesDeploySteps.CephStorageArtifactsDeploy.1]: CREATE_FAILED  Error: resources[1]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 1
2017-09-23 22:03:31Z [AllNodesDeploySteps.CephStorageArtifactsDeploy.0]: SIGNAL_IN_PROGRESS  Signal: deployment c8409c3f-816c-464b-b800-e9284f6874e6 failed (1)
2017-09-23 22:03:31Z [AllNodesDeploySteps.CephStorageArtifactsDeploy.0]: CREATE_FAILED  Error: resources[0]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 1
2017-09-23 22:03:59Z [AllNodesDeploySteps.CephStorageArtifactsDeploy.2]: SIGNAL_IN_PROGRESS  Signal: deployment 7b43912d-3148-42a5-a3c5-c97c01b5b34d failed (1)
2017-09-23 22:03:59Z [AllNodesDeploySteps.CephStorageArtifactsDeploy.2]: CREATE_FAILED  Error: resources[2]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 1
2017-09-23 22:03:59Z [AllNodesDeploySteps.CephStorageArtifactsDeploy]: CREATE_FAILED  Resource CREATE failed: Error: resources[1]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 1
2017-09-23 22:04:01Z [AllNodesDeploySteps.CephStorageArtifactsDeploy]: CREATE_FAILED  Error: resources.CephStorageArtifactsDeploy.resources[1]: Deployment to server failed: deploy_status_code: Deployment exited with non-zero status code: 1
2017-09-23 22:04:01Z [AllNodesDeploySteps.ComputeArtifactsDeploy]: CREATE_FAILED  CREATE aborted
2017-09-23 22:04:01Z [AllNodesDeploySteps.ControllerSwiftRingDeploy]: CREATE_FAILED  CREATE aborted
2017-09-23 22:04:01Z [AllNodesDeploySteps.ControllerPrePuppet]: CREATE_FAILED  CREATE aborted
2017-09-23 22:04:01Z [AllNodesDeploySteps.ControllerSwiftRingDeploy.SwiftRingDeploy]: CREATE_FAILED  CREATE aborted
2017-09-23 22:04:01Z [AllNodesDeploySteps.ControllerSwiftRingDeploy]: CREATE_FAILED  Resource CREATE failed: Operation cancelled
2017-09-23 22:04:01Z [AllNodesDeploySteps.ControllerArtifactsDeploy]: CREATE_FAILED  CREATE aborted
2017-09-23 22:04:02Z [AllNodesDeploySteps]: CREATE_FAILED  Resource CREATE failed: Error: resources.CephStorageArtifactsDeploy.resources[1]: Deployment to server failed: deploy_status_code: Deployment exited with non-zero status code: 1
2017-09-23 22:04:02Z [AllNodesDeploySteps.ControllerPrePuppet.ControllerPrePuppetMaintenanceModeDeployment]: CREATE_FAILED  CREATE aborted
2017-09-23 22:04:02Z [AllNodesDeploySteps.ControllerPrePuppet]: CREATE_FAILED  Resource CREATE failed: Operation cancelled
2017-09-23 22:04:02Z [AllNodesDeploySteps]: CREATE_FAILED  Error: resources.AllNodesDeploySteps.resources.CephStorageArtifactsDeploy.resources[1]: Deployment to server failed: deploy_status_code: Deployment exited with non-zero status code: 1
2017-09-23 22:04:03Z [overcloud]: UPDATE_FAILED  Error: resources.AllNodesDeploySteps.resources.CephStorageArtifactsDeploy.resources[1]: Deployment to server failed: deploy_status_code: Deployment exited with non-zero status code: 1

 Stack overcloud UPDATE_FAILED

Heat Stack update failed.

Version-Release number of selected component (if applicable):

RH-OSP 10
How reproducible:




Additional info:
$ openstack stack failures list overcloud
overcloud.AllNodesDeploySteps.ComputeArtifactsDeploy.11:
  resource_type: OS::Heat::StructuredDeployment
  physical_resource_id: fbebea38-3b3d-4590-bbf7-d549fd058939
  status: CREATE_FAILED
  status_reason: |
    Error: resources[11]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 1
  deploy_stdout: |
    ERROR: Unsupported file format.
  deploy_stderr: |
      % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                     Dload  Upload   Total   Spent    Left  Speed

      0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
    100    35  100    35    0     0  13404      0 --:--:-- --:--:-- --:--:-- 17500
overcloud.AllNodesDeploySteps.ComputeArtifactsDeploy.10:
  resource_type: OS::Heat::StructuredDeployment
  physical_resource_id: 3fa6ed41-d966-4dd2-9163-ea6b4e2bab9e
  status: CREATE_FAILED
  status_reason: |
    Error: resources[10]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 1
  deploy_stdout: |
    ERROR: Unsupported file format.

Comment 1 Abhishek K Singh 2017-09-23 23:53:18 UTC
Appreciate a quick help ./Thanks

Comment 2 Alex Schultz 2017-09-25 22:42:25 UTC
It appears that you are deploying additional artifacts during the deployment using the DeployArtifactURLs option. What file formats are you attempting to push?  This error exists if the file being pushed is not an rpm or tar.gz.

https://github.com/openstack/tripleo-heat-templates/blob/stable/newton/puppet/deploy-artifacts.sh#L12-L23

Please provide the templates being used.


Note You need to log in before you can comment on or make changes to this bug.